[Subject Prev][Subject Next][Thread Prev][Thread Next][Subject Index][Thread Index]

[vine-users:030279] Re: X failed on i815E + GeForce2MX + XF86 4.0.1 (Re: insmod agpgart failed on i815E & GeForce2 MX)


かわべです.
客観的に感じたことなので,気を悪くしたらごめんなさい.

At Sun, 07 Jan 2001 01:50:22 +0900,
Takahiko HIRAKAWA wrote:

| 2,Vine 2.1 だと NVIDIA_kernel がコンパイルできない。
|   Vine 2.0 ならコンパイル可能。
| 
|   対応:NVIDIA_kernel の os_interface.c の一部をコメントアウトして
|      make する。
|   参考:Linux Magazine 2001/01 月号

ここなのですが,本を持っていないことにはどこをどう変更したの
かわかってもらえないと思うので,具体的に書かれた方がいいので
はないでしょうか?

# Vine2.0 から Vine2.1 に移行しようと思っていたのですが,す
# んなり make できないとなると ややこしそうですね.やっぱり
# 職場のマシンは XFree86 4.02 をサポートするディストリビュー
# ションが出るのをもうちょっと待つか.

| 3,NVIDIA_GLX はそのままインストールできる。
| 
| で、nvidia のドライバーと NVdriver(カーネルモジュール)をインストール
| し、念のため手動で NVdriver を insmod してから startx -- -probeonly す
| ると、X は落ちなくなったのですが、縞模様の画面が出てしまいます。
| 
| 縞模様の画面
|   http://www.remus.dti.ne.jp/~hirakawa/xf86_err.jpg
| 
| Ctrl + ALT + Del でリブートはできるのですが、Ctrl + ALT + BS で X サー
| バーをリセットすることはできません。当然、nvidia の README, FAQ にある
| ような XF86Config の設定変更は済んでいます。
| 
| さんざん試してみて、どうやら Modeline の設定がおかしいらしい、というと
| ころまではたどり着いたのですが、ここらへんでいい加減疲れてしまいました。
| 
| 現時点の XF86Config を末尾に添付しますので、もし「ここは変だよ」とか
| 「ここはおかしい」というところがあったらご指摘ください。
| 
| # GeForce2 + XFree86 4.0.1 についてはあちこちに資料があるので楽勝
|   だと思っていたのですが、こうも苦労するとは思ってませんでした…
| 
| Junichi Kikuchiさんの<20010104184605.E4EF46E8@julious.pzc.org>から
| >>      :
| >> (II) NVIDIA(0): Clock range:  12.00 to 3251.63 MHz
| >> (WW) NVIDIA(0): Mode "640x350" deleted (insufficient memory for mode)
| >
| ># ここの間のログが見たいです。って、みんなハネられてるのか…。
| 
| はい。解像度が違うだけで同じように蹴られていました。
| 
| >と出ていますので、モニターの設定まわりじゃないかと思います。
| 
| 元 mail を出した時点ではモニターの設定がいい加減だったのですが、現在は
| 製造元(富士通)の WEB サイトから垂直、水平モニター同期周波数をゲット
| して、正しい(はずの)値を設定しています。
| 
| >たしかXFree86 4.0からは、Modelineの検出は自動だったと思うのですが…
| >>識者の方
| >(だから3.3.6のようにModelineの記述がない>XF86Config)
| 
| Software Design '00/07 月号 P41 によると、Modeline の自動認識はまだ実
| 装されてないみたいです。

私のマシンの XFree86 4.02 の XF86Config には Modeline はない
ですよ.

| banditさんの<200101050029.JAA28951@dsmtp1.dion.ne.jp>から
| > と云う記載が見られますね、特にNVidiaから専用のドライバーをダウンロー
| >ドした覚えはないので、X 4.0.2 ではサポートしているのではないでしょうか?
| 
| 4.0.2 は、ダウンロードが終わり次第インストールしてみる予定です。

これ待ちですね.
あっさり,解決するといいですね.

この情報があなたの探していたものかどうか選択してください。
yes/まさにこれだ!   no/違うなぁ   part/一部見つかった   try/これで試してみる

あなたが探していた情報はどのようなことか、ご自由に記入下さい。特に「まさにこれだ!」と言う場合は記入をお願いします。
例:「複数のマシンからCATV経由でipmasqueradeを利用してWebを参照したい場合の設定について」
Follow-Ups: References: